package main

import (
	"git.insit.tech/sas/rtsp_proxy/core/log"
	"git.insit.tech/sas/rtsp_proxy/proto/common"
	"reader/internal/unpacker"
)

func main() {
	//port := 8080
	//
	//http.HandleFunc("GET /download", handlers.Download) // example request: {"date": "07-03-2025", "start_time": "16-43", "end_time": "16-44"}
	//http.HandleFunc("GET /hls/", handlers.HLS)
	//
	//log.Println("Starting server on:")
	//log.Printf("Serving on HTTP port: %d\n", port)
	//
	//log.Fatal(http.ListenAndServe(fmt.Sprintf(":%d", port), nil))

	Log := log.MainLogging("/home/psa/GoRepository/" + "/data/" + "camera54-centr-kirova-kalinina")

	unpacker.CreateFlow("/home/psa/GoRepository",
		"camera54-centr-kirova-kalinina",
		&common.FileName{Duration: 60},
		[]string{"1920-1080"}, Log)
}
